Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Variables
admin/pollist.php File Reference

Go to the source code of this file.

## Variables
| $ini =& eZINI::instance( 'site.ini' )
| $Language = $ini->variable( "eZPollMain", "Language" )
| $errorIni = new eZINI( "kernel/ezpoll/admin/intl/" . $Language . "/pollist.php.ini", false )
| $LangaugeIni = new eZINI( "kernel/ezpoll/admin/" . "intl/" . $Language . "/pollist.php.ini", false )
| $yes = $LangaugeIni->variable( "strings", "yes" )
| $no = $LangaugeIni->variable( "strings", "no" )
| $closed = $LangaugeIni->variable( "strings", "closed" )
| $notClosed = $LangaugeIni->variable( "strings", "not_closed" )
if(isset( $Action) && $Action=="StoreMainPoll") if(isset( $Action) && $Action=="Delete") | $t
| $nopolls = ""
| $poll = new eZPoll()
| $pollList = $poll->getAll( )
if(! $pollList) | $mainPoll = $poll->mainPoll()
if( $mainPoll) | $i =0

## Variable Documentation

## ◆ $closed

$closed = $LangaugeIni->variable( "strings", "closed" )

Definition at line 43 of file admin/pollist.php.

## ◆ $errorIni

$errorIni = new eZINI( "kernel/ezpoll/admin/intl/" . $Language . "/pollist.php.ini", false )

Definition at line 33 of file admin/pollist.php.

## ◆ $i

if ($mainPoll) $i =0

Definition at line 132 of file admin/pollist.php.

## ◆ $ini

$ini =& eZINI::instance( 'site.ini' )

Definition at line 31 of file admin/pollist.php.

## ◆ $LangaugeIni

$LangaugeIni = new eZINI( "kernel/ezpoll/admin/" . "intl/" . $Language . "/pollist.php.ini", false )

Definition at line 40 of file admin/pollist.php.

## ◆ $Language

$Language = $ini->variable( "eZPollMain", "Language" )

Definition at line 32 of file admin/pollist.php.

## ◆ $mainPoll

if (! $pollList) $mainPoll = $poll->mainPoll()

Definition at line 125 of file admin/pollist.php.

## ◆ $no

$no = $LangaugeIni->variable( "strings", "no" )

Definition at line 42 of file admin/pollist.php.

## ◆ $nopolls

$nopolls = ""

Definition at line 112 of file admin/pollist.php.

## ◆ $notClosed

$notClosed = $LangaugeIni->variable( "strings", "not_closed" )

Definition at line 44 of file admin/pollist.php.

## ◆ $poll

$poll = new eZPoll()

Definition at line 114 of file admin/pollist.php.

Referenced by createPollMenu(), and eZPoll\setMainPoll().

## ◆ $pollList

$pollList = $poll->getAll( )

Definition at line 116 of file admin/pollist.php.

## ◆ $t

if (isset($Action) &&$Action=="StoreMainPoll") if (isset($Action) &&$Action=="Delete") $t

Initial value:
= new eZTemplate( "kernel/ezpoll/admin/" . $ini->variable( "eZPollMain", "AdminTemplateDir" ),
"kernel/ezpoll/admin/intl/", $Language, "pollist.php" )
$Language
$Language
Definition: admin/pollist.php:32
$ini
$ini
Definition: admin/pollist.php:31
eZTemplate
Definition: eztemplate.php:107

Definition at line 99 of file admin/pollist.php.

## ◆ $yes

$yes = $LangaugeIni->variable( "strings", "yes" )

Definition at line 41 of file admin/pollist.php.

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.